Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

integrity help doesn't help that much #104

Closed
phocke opened this Issue · 3 comments

2 participants

@phocke

ruby 1.9.2-p290

gem install integrity
integrity help

and this is that i receive:

/Users/przemek/.rvm/gems/ruby-1.9.2-p290/gems/integrity-0.1.11/lib/integrity/app.rb:2:in <module:Integrity>': uninitialized constant Sinatra::Default (NameError)
from /Users/przemek/.rvm/gems/ruby-1.9.2-p290/gems/integrity-0.1.11/lib/integrity/app.rb:1:in
'
from /Users/przemek/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in require'
from /Users/przemek/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
require'
from /Users/przemek/.rvm/gems/ruby-1.9.2-p290/gems/integrity-0.1.11/lib/integrity.rb:32:in <top (required)>'
from /Users/przemek/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:54:in
require'
from /Users/przemek/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:54:in require'
from /Users/przemek/.rvm/gems/ruby-1.9.2-p290/gems/integrity-0.1.11/lib/integrity/installer.rb:2:in
'
from /Users/przemek/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:54:in require'
from /Users/przemek/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:54:in
require'
from /Users/przemek/.rvm/gems/ruby-1.9.2-p290/gems/integrity-0.1.11/bin/integrity:2:in <top (required)>'
from /Users/przemek/.rvm/gems/ruby-1.9.2-p290/bin/integrity:19:in
load'
from /Users/przemek/.rvm/gems/ruby-1.9.2-p290/bin/integrity:19:in `

'

@phocke

ahhhh

I see - I can't run it on 1.9.2 ...

@phocke phocke closed this
@zedtux

I am encountering the same issue... with Ruby 1.9.3 and REE...

@zedtux

I have solved my issue by replacing the following line from [...]/gems/ruby-1.9.3-p194/gems/integrity-0.1.11/lib/integrity/app.rb:

  class App < Sinatra::Default

by:

  class App < Sinatra::Base
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.